Package org.apache.catalina.ssi

## Class ExpressionParseTree

- java.lang.Object
- - org.apache.catalina.ssi.ExpressionParseTree

    public class ExpressionParseTree
    extends java.lang.Object

Represents a parsed expression.

Author:
  Paul Speed

### Constructor Summary

Constructors
`ExpressionParseTree​(java.lang.String expr, SSIMediator ssiMediator)` Creates a new parse tree for the specified expression.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `evaluateTree()` Evaluates the tree and returns true or false.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ExpressionParseTree

    public ExpressionParseTree​(java.lang.String expr,
                               SSIMediator ssiMediator)
                        throws java.text.ParseException

Creates a new parse tree for the specified expression.

Parameters:
  `expr` - The expression string
  `ssiMediator` - Used to evaluated the expressions
Throws:
  `java.text.ParseException` - a parsing error occurred

### Method Detail

#### evaluateTree

    public boolean evaluateTree()
                         throws SSIStopProcessingException

Evaluates the tree and returns true or false. The specified SSIMediator is used to resolve variable references.

Returns:
  the evaluation result
Throws:
  `SSIStopProcessingException` - If an error occurs evaluating the tree